#!/bin/bash
set -e

WAPT_ARCH="arm64"
DEBIAN_ARCH="arm64"
RUST_ARCH="aarch64"
PYTHON_ARCH="aarch64"


apt-get install -y debootstrap

rm -Rf /root/buster-chroot

debootstrap --arch ${DEBIAN_ARCH} buster /root/pip-build-chroot/ http://deb.debian.org/debian

chroot /root/pip-build-chroot/ apt-get install locales-all build-essential wget -y

wget --no-check-certificate https://srvtemplates.ad.tranquil.it/binary_cache/python39-linux_${PYTHON_ARCH}.tar.gz -O /root/pip-build-chroot/root/python39-linux.tar.gz

wget https://static.rust-lang.org/dist/rust-1.80.0-${RUST_ARCH}-unknown-linux-gnu.tar.xz -O /root/pip-build-chroot/root/rust-1.80.0.tar.xz

cp requirements-* /root/pip-build-chroot/root/
cp step2_build_wheels.sh /root/pip-build-chroot/root/

